import type { DynamicValue } from "../types"
import type { EngineContext } from "../context"

export function dynamic<T>(ctx: EngineContext, blockId: string, value: DynamicValue<T>): T {
  if (typeof value === 'string' && value.startsWith('@@')) {
    return ctx.value(blockId, value) as T
  }
  return value as T
}
